Portfolio Manager/Payment History V2
Download payment history
GET
/external /secure /api /v2 /portfolio /download /owned /payment-historyRequest
Query parameters
assetTypestringAsset type to query assets for. Must provide originatorId if using
originatorIdstring<uuid>Originator id to query assets for. Must provide assetType if using assetType query param
assetGroupstringName of asset group to filter assets with
reportDatestring<date>Cutoff date of requested payment history
ownsPaymentsbooleanOnly show payments received during ownership of loan
Headers
apikeystringProvided key used to access the application's api
Responses
200CSV of payments for owned loans by asset type and report date
Returns the file as text/plain.
Response
Returns the file itself (text/plain).
GET
/external /secure /api /v2 /portfolio /download /owned /payment-historyResponse
Returns the file itself (text/plain).